Skip to main content
GET
Get Industry Prediction Status

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the Industry prediction request

Example:

"330d8505-805e-4aef-968b-bb380bf4df19"

Response

Successful Response

id
string<uuid>
required

Unique identifier for the NAICS prediction request.

Example:

"fb8688d3-c62d-4982-9c0a-70a196b97d16"

state
enum<string>
required

The status of the NAICS prediction request

Available options:
PENDING,
EXECUTING,
COMPLETED,
FAILED,
CANCELLED
Examples:

"COMPLETED"

"FAILED"

created_at
string<date-time>
required

The date and time when the NAICS prediction request was created.

Example:

"2026-11-11T04:02:02.598990"

idempotency_key
string | null

The Idempotency-Key header the request that created this resource carried, if any.

business_id
string<uuid> | null

The ID of the business for which the NAICS code was predicted.

Example:

"2110a912-c576-4723-9f14-ee5b3283c3d2"

business_search_id
string<uuid> | null

The ID of the business search from which this NAICS prediction request originated.

Example:

"0f536f3a-8b37-4f6f-8852-98a377f64b63"

predicted_naics
PredictedNaicsResponse (v1) · object | null

The predicted NAICS code(s) for the business entity.

error
string | null

Any errors that occurred during the NAICS prediction request.

reference_id
string | null

An optional reference ID associated with this request, inherited from the parent search.

Example:

"Search1234"